/**
 * @file
 * Callback for jqueryJonthorntonTimepicker.
 */


(function ($) {

  // Fix conflicts.
  $.fn.jonthorntonTimepicker = $.fn.timepicker;
  delete $.fn.timepicker;

  Drupal.behaviors.jqueryJonthorntonTimepicker = {
    attach: function (context, settings) {
      if (typeof settings.timepicker.jonthornton_timepicker !== 'undefined') {
        for (var fieldName in settings.timepicker.jonthornton_timepicker) {
          if ({}.hasOwnProperty.call(settings.timepicker.jonthornton_timepicker, fieldName)) {
            // Find the element by field name.
            var $element = $('input[name^="' + fieldName + '["][type="time"]', context);

            // Build options object.
            var customOptions = settings.timepicker.jonthornton_timepicker[fieldName];
            // The Jonthornton Timepicker works with 'H:i:s' time format.
            var requiredOptions = {timeFormat: 'H:i:s'};
            var options = Object.assign(customOptions, requiredOptions);

            $element.jonthorntonTimepicker(options).attr('type', 'text');
          }
        }
      }
    }
  };
}(jQuery));
