/**
 * @file
 * Callback for jqueryUiTimepicker.
 */

(function ($) {

  // Fix conflicts.
  $.fn.uiTimepicker = $.fn.timepicker;
  delete $.fn.timepicker;

  Drupal.behaviors.jqueryUiTimepicker = {
    attach: function (context, settings) {
      if (typeof settings.timepicker.jquery_ui_timepicker !== 'undefined') {
        for (var fieldName in settings.timepicker.jquery_ui_timepicker) {
          if ({}.hasOwnProperty.call(settings.timepicker.jquery_ui_timepicker, fieldName)) {
            // Find the element by field name.
            var $element = $('input[name^="' + fieldName + '["][type="time"]', context);

            // Build options object.
            var customOptions = settings.timepicker.jquery_ui_timepicker[fieldName];
            // Set default hour and minute for the jQueryUITimepicker.
            var requiredOptions = {};
            var options = Object.assign(customOptions, requiredOptions);

            $element.uiTimepicker(options);
          }
        }
      }
    }
  };
}(jQuery));
